QGIS Plugin Site - Bug report #12274
QGIS Python plugin upload not working
2015-02-26 02:46 AM - Dennis Ligtenberg

Status: Closed

Priority: Normal
Assignee: Alessandro Pasotti
Category:

Pull Request or Patch supplied:
Description

The upload of a QGIS Python plugin (via website http://plugins.qgis.org/plugins/add/) does not seem to work.
Trying to upload the plugin redirects me to an Error 500 page.
| was able to upload another plugin (experimental though) in the same session without an error.

Here a link to the plugin repository:
https://github.com/geometalab/Quiz-QGIS-Plugin

History

#1 - 2015-02-26 06:08 AM - Giovanni Manghi

- Project changed from QGIS Application to QGIS Plugin Site
- Category deleted (Python plugins)

#2 - 2015-02-26 06:12 AM - Alessandro Pasotti

Can you reproduce the error?

Is sounds like a temporary server issue, we have had a few lately.

#3 - 2015-02-26 06:25 AM - Dennis Ligtenberg

Alessandro Pasotti wrote:

Can you reproduce the error?

Is sounds like a temporary server issue, we have had a few lately.

| just tried again and it still seems not to work.

#4 - 2015-02-26 07:32 AM - Alessandro Pasotti
Ok, so please:
1. attach the plugin

2. describe step by step how you upload the plugin (there are 3 different ways to do it)

#5 - 2015-02-26 07:44 AM - Alessandro Pasotti
- Status changed from Open to In Progress
Forget about it: found the issue.

Your zip file is probably corrupted and does not pass zipfile internal test made by the library. The error wasn't catched correctly, I'm going to upload a fix.

#6 - 2015-02-27 02:19 AM - Alessandro Pasotti
- Status changed from In Progress to Closed
- Assignee set to Alessandro Pasotti

Fix deployed.

#7 - 2015-03-02 02:11 AM - Dennis Ligtenberg

- Status changed from Closed to Reopened

It still does not work... Same error.

I'm trying to upload here: https:/plugins.qgis.org/plugins/add/

The file is larger than the max 5MB you can upload here, but it's basically the ziped version of the repository minus all the git files.

https://github.com/geometalab/Quiz-QGIS-Plugin

Edit: Uploaded the zip to Dropbox: https://www.dropbox.com/s/Ise8g3eprwk7n07/QuizQGISPlugin.zip?dI=0

#8 - 2015-03-02 02:16 AM - Alessandro Pasotti

Now it's a different error.

Can you please attach the zip file you are trying to upload?

Without that | won't be able to track the issue.

#9 - 2015-03-02 02:36 AM - Dennis Ligtenberg

Alessandro Pasotti wrote:

Now it's a different error.

Can you please attach the zip file you are trying to upload?

Without that | won't be able to track the issue.

You can find it here:
https://www.dropbox.com/s/Ise8g3eprwk7n07/QuizQGISPlugin.zip?di=0

#10 - 2015-03-02 02:39 AM - Alessandro Pasotti
I'm not able to download from dropbox (I have no account).

There is a nice feature that allows to upload an attachment here, please use it now.

#11 - 2015-03-02 02:41 AM - Dennis Ligtenberg

Alessandro Pasotti wrote:

I'm not able to download from dropbox (I have no account).

There is a nice feature that allows to upload an attachment here, please use it now.

| can't, since the upload limit is 5MB.
Can you download it from here: https://owncloud.hsr.ch/public.php?service=files&#38;t=848272a9de9f37c13bb23c406c77ab27

#12 - 2015-03-02 02:53 AM - Alessandro Pasotti

The problem is with Belizé.png , zip function doesn't like unicode in file names.

I'm working on a fix, but in the meantime you can just rename that file and possibily other file names to ASCII.

#13 - 2015-03-02 03:11 AM - Nathan Woodrow

Alessandro Pasotti wrote:

I'm not able to download from dropbox (I have no account).

There is a nice feature that allows to upload an attachment here, please use it now.

You don't need an account to download. Just follow the link and press download.

#14 - 2015-03-02 03:14 AM - Alessandro Pasotti

Thanks Nathan, that's exactly what | did, but | was prompted for a login or create a new account.

#15 - 2015-03-02 03:32 AM - Alessandro Pasotti

- Status changed from Reopened to Closed

It sounds like there is not an easy fix for this problem, python zip library support for unicode filenames is not complete because there is not a defined way to

treat unicode file names in the zip format itself.

So, for now we don't accept unicode filenames in plugins and I've added a try/except block to catch the UnicodeDecodeError and now it should print a

proper error message with the bad file name.
